Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 961443002: Three way experiment for "Show saved copy" button. (Closed)

Created:
4 years, 4 months ago by megjablon
Modified:
4 years, 4 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, asvitkine+watch_chromium.org, Randy Smith (Not in Mondays)
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Three way experiment for "Show saved copy" button. BUG=368049 Committed: https://crrev.com/78a42549731e69435c188b4eb38425af6ec7a9d5 Cr-Commit-Position: refs/heads/master@{#320113}

Patch Set 1 #

Patch Set 2 : Patched in CL 952563003 #

Total comments: 2

Patch Set 3 : 1 switch, 3 values #

Patch Set 4 : Formatting fix #

Total comments: 6

Patch Set 5 : Comments #

Patch Set 6 : Rebase #

Patch Set 7 : histograms fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+193 lines, -133 lines) Patch
M build/ios/grit_whitelist.txt View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/app/generated_resources.grd View 2 chunks +16 lines, -7 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 2 chunks +14 lines, -5 lines 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 1 2 3 4 5 1 chunk +22 lines, -13 lines 0 comments Download
M chrome/browser/errorpage_browsertest.cc View 1 2 3 4 9 chunks +19 lines, -10 lines 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 5 2 chunks +4 lines, -2 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 5 2 chunks +10 lines, -5 lines 0 comments Download
M chrome/common/localized_error.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/localized_error.cc View 1 2 3 4 4 chunks +24 lines, -8 lines 0 comments Download
M chrome/renderer/net/net_error_helper.h View 1 2 3 4 5 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/renderer/net/net_error_helper.cc View 1 2 3 4 5 4 chunks +7 lines, -16 lines 0 comments Download
M chrome/renderer/net/net_error_page_controller.h View 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/renderer/net/net_error_page_controller.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M chrome/renderer/resources/neterror.html View 1 1 chunk +5 lines, -4 lines 0 comments Download
M chrome/renderer/resources/neterror.js View 1 3 chunks +21 lines, -14 lines 0 comments Download
M components/error_page/common/net_error_info.h View 1 chunk +4 lines, -3 lines 0 comments Download
M components/error_page/renderer/net_error_helper_core.h View 2 chunks +2 lines, -2 lines 0 comments Download
M components/error_page/renderer/net_error_helper_core.cc View 9 chunks +14 lines, -14 lines 0 comments Download
M components/error_page/renderer/net_error_helper_core_unittest.cc View 6 chunks +16 lines, -16 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 2 chunks +4 lines, -3 lines 0 comments Download

Messages

Total messages: 20 (5 generated)
megjablon
Hey Matt! I'm finishing up the show saved copy experiment cl that you reviewed about ...
4 years, 4 months ago (2015-02-26 23:02:44 UTC) #3
mmenke
Looks pretty reasonable, just wonder if we can clean up the ChromeContentBrowserClient a bit. https://codereview.chromium.org/961443002/diff/40001/chrome/browser/chrome_content_browser_client.cc ...
4 years, 4 months ago (2015-02-27 20:27:14 UTC) #4
megjablon
https://codereview.chromium.org/961443002/diff/40001/chrome/browser/chrome_content_browser_client.cc File chrome/browser/chrome_content_browser_client.cc (right): https://codereview.chromium.org/961443002/diff/40001/chrome/browser/chrome_content_browser_client.cc#newcode1420 chrome/browser/chrome_content_browser_client.cc:1420: switches::kEnableShowSavedCopyPrimary)) { On 2015/02/27 20:27:14, mmenke wrote: > Maybe ...
4 years, 4 months ago (2015-02-27 22:41:57 UTC) #5
mmenke
On 2015/02/27 22:41:57, megjablon wrote: > https://codereview.chromium.org/961443002/diff/40001/chrome/browser/chrome_content_browser_client.cc > File chrome/browser/chrome_content_browser_client.cc (right): > > https://codereview.chromium.org/961443002/diff/40001/chrome/browser/chrome_content_browser_client.cc#newcode1420 > ...
4 years, 4 months ago (2015-03-02 19:46:12 UTC) #6
megjablon
asvitkine: histograms.xml thestig: net_error.*, localized_error.*, errorpage_browsertest.cc
4 years, 4 months ago (2015-03-02 19:53:05 UTC) #8
Lei Zhang
still lgtm
4 years, 4 months ago (2015-03-02 20:11:52 UTC) #9
Lei Zhang
whoops, wrong CL :\
4 years, 4 months ago (2015-03-02 20:13:09 UTC) #10
Alexei Svitkine (slow)
https://codereview.chromium.org/961443002/diff/80001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/961443002/diff/80001/tools/metrics/histograms/histograms.xml#newcode53948 tools/metrics/histograms/histograms.xml:53948: + <int value="4" label="Show Saved Copy Button Shown"/> Just ...
4 years, 4 months ago (2015-03-02 20:16:43 UTC) #11
megjablon
https://codereview.chromium.org/961443002/diff/80001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/961443002/diff/80001/tools/metrics/histograms/histograms.xml#newcode53948 tools/metrics/histograms/histograms.xml:53948: + <int value="4" label="Show Saved Copy Button Shown"/> On ...
4 years, 4 months ago (2015-03-02 20:22:04 UTC) #12
Lei Zhang
lgtm for reals this time. https://codereview.chromium.org/961443002/diff/80001/chrome/browser/errorpage_browsertest.cc File chrome/browser/errorpage_browsertest.cc (right): https://codereview.chromium.org/961443002/diff/80001/chrome/browser/errorpage_browsertest.cc#newcode302 chrome/browser/errorpage_browsertest.cc:302: command_line->AppendSwitchNative(switches::kShowSavedCopy, Shouldn't this be ...
4 years, 4 months ago (2015-03-02 20:31:04 UTC) #13
Alexei Svitkine (slow)
lgtm
4 years, 4 months ago (2015-03-02 20:33:22 UTC) #14
megjablon
https://codereview.chromium.org/961443002/diff/80001/chrome/browser/errorpage_browsertest.cc File chrome/browser/errorpage_browsertest.cc (right): https://codereview.chromium.org/961443002/diff/80001/chrome/browser/errorpage_browsertest.cc#newcode302 chrome/browser/errorpage_browsertest.cc:302: command_line->AppendSwitchNative(switches::kShowSavedCopy, On 2015/03/02 20:31:03, Lei Zhang wrote: > Shouldn't ...
4 years, 4 months ago (2015-03-03 01:07:39 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/961443002/140001
4 years, 4 months ago (2015-03-11 17:31:13 UTC) #18
commit-bot: I haz the power
Committed patchset #7 (id:140001)
4 years, 4 months ago (2015-03-11 18:23:41 UTC) #19
commit-bot: I haz the power
4 years, 4 months ago (2015-03-11 18:24:15 UTC) #20
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/78a42549731e69435c188b4eb38425af6ec7a9d5
Cr-Commit-Position: refs/heads/master@{#320113}

Powered by Google App Engine
This is Rietveld 408576698